#ifndef __INCLUDEGUARD__loading_h
#define __INCLUDEGUARD__loading_h

#include "include.h"

SDL_Cursor* getCursorFromBitmap(char* fname);

Uint32 getpixel(SDL_Surface *surface, int x, int y);
void putpixel(SDL_Surface *surface, int x, int y, Uint32 pixel);
SDL_Surface* scaleSurface(SDL_Surface* surface, int scale);

GLuint glLoadImageFile(char* fname, unsigned int mode, GLuint defaul);

void rect(double rx, double ry, double w, double h, GLubyte c1, GLubyte c2, GLubyte c3, bool filled=true, GLubyte alpha=255);
void justRect(double rx, double ry, double w, double h, bool filled);

struct FONT{
    int length[128];
    GLuint asciilist[128];

    int fwid;
    int fhgt;

    float frhgt;

    int fc1;
    int fc2;
    int fc3;

    void set(char* fname, int ffwid, int ffhgt);
    int renderWithColor(char *string, float x, float y, int c1, int c2, int c3, int alpha=255);
    int getLength(char *string);
    int getHeight(char *string);
};

struct RANDTEXTURE{
	double prob[16];
	GLuint texture[16];

	void zero();
	int loadFromLocation(char* subFolder, int l[], GLuint defaul);
};

struct ANIMATION{
	int num;
	GLuint texture[16];

    int loadFromLocation(char* folder, GLuint defaul, int _num);
};

#endif
